Name:		perl-Mail-GnuPG
Summary:	Process email with GPG
Version:	0.21
Release:	1%{?dist}
License:	GPLv2 or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Mail-GnuPG/
BuildArch:	noarch

Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Source0:	http://www.cpan.org/authors/id/D/DD/DDB/Mail-GnuPG-%{version}.tar.gz

BuildRequires:	perl(GnuPG::Interface)
BuildRequires:	perl(Mail::Address)
BuildRequires:	perl(MIME::Entity)
BuildRequires:	perl(MIME::Parser)
BuildRequires:	perl(Module::Build)

# Required by the tests
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod) >= 0.95
BuildRequires:	/usr/bin/gpg
BuildRequires:	/usr/bin/gpg-agent /usr/libexec/gpg-preset-passphrase

%description
Use GnuPG::Interface to process or create PGP signed or encrypted email.

%prep
%setup -q -n Mail-GnuPG-%{version}
iconv -f iso-8859-1 -t utf-8 README > README~
mv README~ README

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
GPG_PRESET_PASSPHRASE=/usr/libexec/gpg-preset-passphrase ./Build test

%files
%doc README Changes
%{perl_vendorlib}/Mail
%{_mandir}/man3/*

%changelog
* Thu Aug 28 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.21-1
- Upstream update.

* Wed Jul 30 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.20-1
- Upstream update.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Petr Pisar <ppisar@redhat.com> - 0.19-3
- Perl 5.18 rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon May 06 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.19-1
- Upstream update.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jul 30 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.18-1
- Upstream update.
- Spec file cleanup.

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 23 2012 Petr Pisar <ppisar@redhat.com> - 0.17-3
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 15 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.17-1
- Upstream update.

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.16-3
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 17 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.16-1
- Upstream update.
- Reflect upstream Source0-URL having changed.
- Reflect upstream having changed to Module::Build.

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.15-7
- 661697 rebuild for fixing problems with vendorach/lib

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.15-6
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.15-5
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul 09 2008 Ralf Corsépius <rc040203@freenet.de> - 0.15-2
- Cleanup spec file.

* Wed Mar 12 2008 Ralf Corsépius <rc040203@freenet.de> - 0.15-1
- Upstream update.
- Correct license tag: GPLv2 or Artistic-v1.0.
- Convert README to utf8.

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.10-2
- Rebuild for new perl

* Tue Sep 04 2007 Ralf Corsépius <rc040203@freenet.de> - 0.10-1
- Upstream update.
- Reflect source url having changed.
- Update license tag.

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 0.08-5
- Mass rebuild.

* Wed Mar 01 2006 Ralf Corsépius <rc040203@freenet.de> - 0.08-4
- Rebuild for perl-5.8.8.

* Thu Oct 06 2005 Ralf Corsepius <rc040203@freenet.de> - 0.08-3
- FE import.
- Spec cleanup.

* Sun Sep 11 2005 Ralf Corsepius <rc040203@freenet.de> - 0.08-2
- Update summary and description.
- FE submission.

* Sun Sep 11 2005 Ralf Corsepius <ralf@links2linux.de> - 0.08-1
- FE submission preps.
